Bio::ViennaNGS::FeatureInterval(3)

NAME
Bio::ViennaNGS::FeatureInterval - A Moose class for unstranded, elementary genomic intervals.

SYNOPSIS
  use Bio::ViennaNGS::FeatureInterval;

  my $obj = Bio::ViennaNGS::FeatureInterval->new(chromosome => "chr1",
                                                 start => "1200",
                                                 end => "4300",
                                                );
  my $len = $obj->_length();
  $obj->dump();

DESCRIPTION
This module provides an object-oriented interface for storing unstranded, elementary genomic intervals characterized via chromosome, start and end position. As such, it can be regarded a simple wrapper for BED3 elements.

This is the base class for Bio::ViennaNGS::MinimalFeature.

METHODS

dump()
    Title : dump

    Usage : "$obj->dump;"

    Function: Print a tab-separated representation of $obj (a BED3
              line).

SEE ALSO

Bio::ViennaNGS
Bio::ViennaNGS::MinimalFeature

AUTHORS
Michael T. Wolfinger <michael@wolfinger.eu>

COPYRIGHT AND LICENSE
Copyright (C) 2014-2018 Michael T. Wolfinger <michael@wolfinger.eu>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.